> For the complete documentation index, see [llms.txt](https://docs.synfutures.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.synfutures.com/rwa-trading-apis/market-data/symbols-and-tradability.md).

# Symbols & Tradability

## List tradable symbols

```
GET /api/v1/symbols
```

Returns `data` array items:

| Field                 | Type    | Description                          |
| --------------------- | ------- | ------------------------------------ |
| `symbol`              | string  | Stock symbol, e.g. `AAPL`.           |
| `contractAddress`     | string  | On-chain token address.              |
| `contractSymbol`      | string  | Contract symbol.                     |
| `contractName`        | string  | Contract name.                       |
| `decimals`            | number  | Contract decimals.                   |
| `onChainDecimals`     | number  | On-chain decimals.                   |
| `tradable`            | boolean | Tradable flag.                       |
| `fractionable`        | boolean | Fractional shares supported.         |
| `overnightTradable`   | boolean | Overnight session supported.         |
| `fractionalEhEnabled` | boolean | Fractional extended-hours supported. |
| `price`               | number  | Latest price.                        |
| `change24H`           | number  | 24h price change.                    |
| `change24HPercent`    | number  | 24h change percent.                  |
| `logoUrl`             | string  | Logo URL.                            |
| `lastUpdateTimestamp` | number  | Cache update (Unix seconds).         |
| `name`                | string  | Company name.                        |
| `pdfUrl`              | string  | Prospectus PDF URL.                  |
| `volume24H`           | number  | 24h volume.                          |

Use `contractAddress` as `stockAddress` when placing orders.

## Underlying stock quote

```
GET /api/v1/underlying/{symbol}/price
```

| Parameter | Type   | Description   |
| --------- | ------ | ------------- |
| `symbol`  | string | Stock symbol. |

Response fields (returned at the **top level** of `data`, not wrapped in a `basicInfo` object):

| Field                 | Type    | Description                  |
| --------------------- | ------- | ---------------------------- |
| `symbol`              | string  | Stock symbol.                |
| `contractAddress`     | string  | Token contract address.      |
| `contractSymbol`      | string  | Contract symbol.             |
| `onChainDecimals`     | number  | On-chain decimals.           |
| `name`                | string  | Company name.                |
| `exchange`            | string  | Exchange.                    |
| `status`              | string  | `active` or `inactive`.      |
| `price`               | number  | Latest price.                |
| `change24H`           | number  | 24h change.                  |
| `change24HPercent`    | number  | 24h change percent.          |
| `volume24H`           | number  | 24h volume.                  |
| `tradable`            | boolean | Tradable flag.               |
| `fractionable`        | boolean | Fractional shares.           |
| `lastUpdateTimestamp` | number  | Cache update (Unix seconds). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.synfutures.com/rwa-trading-apis/market-data/symbols-and-tradability.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
